﻿Copyright (c) 2019 Fluke Corporation                        MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Cal Adjust Error RS-232 /O_CAL
DATE:                  2019-03-06 15:16:44
AUTHOR:                Fluke
REVISION:              $Revision: 26644 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       167
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Compatibility:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Based on the acknowledge response sent by the Test Tool, this procedure
# identifies the error for presentation to the operator.

# Initialize variables.
  1.001  MATH         @CalError = 0; @FatalError = 0

# Read DUT acknowledge response from output buffer for status.
  1.002  IF           @CalStep == 201
  1.003  PORT         [T1000000][I]
  1.004  ELSE
  1.005  PORT         [T100000][I]
  1.006  ENDIF

# If errors occurred, query for cal step number and error information.
  1.007  IF           MEM
  1.008  O_CAL        Standby
# Query for failed step number and error code.
# Response is:  "DDD;DDDD<CR>0<CR>"
  1.009  PORT         EX 1100[I$][I!]
# Parse query response.
#   Field 1:  Current cal step
#   Filed 2:  Cal step error code
  1.010  MATH         @CalStep  = FLD(MEM2, 1, ";")
  1.011  MATH         @CalError = FLD(MEM2, 2, ";")

# If error code < 5000, cal error occurred and may be re-executed.
  1.012  IF           @CalError < 5000
  1.013  OPBR         -z Cal Error [V @CalError] occurred at CL [V @CalStep]!
  1.013  OPBR
  1.013  OPBR         Check calibrator, cables, etc.
  1.013  OPBR
  1.013  OPBR         Do you want to review the connection picture?

  1.014  IF           MEM1

  1.015  IF           ZCMP(@Picture, "190II_a_input_55_scope")
  1.016  DISP         Connect the Calibrator SCOPE output to DUT A input
  1.016  DISP         using a 50 Ω feedthrough terminator.
  1.017  ELSEIF       ZCMP(@Picture, "190II_4ch_b_input_55_scope")
  1.018  DISP         Connect the Calibrator SCOPE output to DUT B input
  1.018  DISP         using a 50 Ω feedthrough terminator.
  1.019  ELSEIF       ZCMP(@Picture, "190II_2ch_b_input_55_scope")
  1.020  DISP         Connect the Calibrator SCOPE output to DUT B input
  1.020  DISP         using a 50 Ω feedthrough terminator.
  1.021  ELSEIF       ZCMP(@Picture, "190II_c_input_55_scope")
  1.022  DISP         Connect the Calibrator SCOPE output to DUT C input
  1.022  DISP         using a 50 Ω feedthrough terminator.
  1.023  ELSEIF       ZCMP(@Picture, "190II_d_input_55_scope")
  1.024  DISP         Connect the Calibrator SCOPE output to DUT D input
  1.024  DISP         using a 50 Ω feedthrough terminator.
  1.025  ELSEIF       ZCMP(@Picture, "190II_abcd_input_55_scope")
  1.026  DISP         Connect the Calibrator SCOPE output to DUT A, B, C,
  1.026  DISP         and D inputs using 3 BNC tees and short BNC
  1.026  DISP         cables.
  1.026  DISP
  1.026  DISP         Do not use a 50 Ω termintor.
  1.027  ELSEIF       ZCMP(@Picture, "190II_ab_input_55_scope")
  1.028  DISP         Connect the Calibrator SCOPE output to DUT A and B
  1.028  DISP         inputs using a BNC tee and short BNC cables.
  1.028  DISP
  1.028  DISP         Do not use a 50 Ω termintor.
  1.029  ELSEIF       ZCMP(@Picture, "190II_abcd_input_55")
  1.030  DISP         Connect the Calibrator to the DUT as follows using a
  1.030  DISP         dual banana (m) to BNC (f) adapter, a BNC cable, 3 BNC
  1.030  DISP         tees, and 3 short BNC cables.
  1.030  DISP
  1.030  DISP         [32] Calibrator       to       DUT
  1.030  DISP         [32] OUTPUT HI ┐
  1.030  DISP         [32]           ╞════════════╦══ A
  1.030  DISP         [32] OUTPUT LO ┘            ╠══ B
  1.030  DISP         [32]                        ╠══ C
  1.030  DISP         [32]                        ╚══ D
  1.031  ELSEIF       ZCMP(@Picture, "190II_ab_input_55")
  1.032  DISP         Connect the Calibrator to the DUT as follows using a
  1.032  DISP         dual banana (m) to BNC (f) adapter, a BNC cable, a BNC
  1.032  DISP         tee, and 2 short BNC cables.
  1.032  DISP
  1.032  DISP         [32] Calibrator       to       DUT
  1.032  DISP         [32] OUTPUT HI ┐            ╔══ A
  1.032  DISP         [32]           ╞════════════╣
  1.032  DISP         [32] OUTPUT LO ┘            ╚══ B
  1.033  ELSEIF       ZCMP(@Picture, "190II_abcd_input_short")
  1.034  PIC          190II_abcd_input_short
  1.035  ELSEIF       ZCMP(@Picture, "190II_ab_input_short")
  1.036  PIC          190II_abcd_input_short
  1.037  ELSEIF       ZCMP(@Picture, "190II_ab_input_short")
  1.038  PIC          190II_ab_input_short
  1.039  ELSEIF       ZCMP(@Picture, "190II_meter_input_short")
  1.040  PIC          190II_meter_input_short
  1.041  ELSEIF       ZCMP(@Picture, "190II_red_probe_test")
  1.042  PIC          190II_red_probe_test
  1.043  ELSEIF       ZCMP(@Picture, "190II_blue_probe_test")
  1.044  PIC          190II_blue_probe_test
  1.045  ELSEIF       ZCMP(@Picture, "190II_gray_probe_test")
  1.046  PIC          190II_gray_probe_test
  1.047  ELSEIF       ZCMP(@Picture, "190II_green_probe_test")
  1.048  PIC          190II_green_probe_test
  1.057  ELSEIF       ZCMP(@Picture, "THS3000_abcd_input_short")
  1.058  PIC          THS3000_abcd_input_short
  1.059  ELSEIF       ZCMP(@Picture, "")
  1.060  DISP         Ensure all DUT inputs are OPEN.
  1.061  ELSE
  1.062  DISP         Unidentified picture: [V @Picture]
  1.063  END
  1.064  ENDIF

  1.065  ENDIF        ; MEM1

# If error code >= 5000, fatal error occurred.
  1.066  ELSE
  1.067  DISP         FATAL ERROR
  1.067  DISP         A fatal error occurred!
  1.067  DISP
  1.067  DISP         The Calibration Adjustment must be repeated.
  1.067  DISP
  1.067  DISP         "Advance" to terminate procedure.
  1.068  MATH         @FatalError = 1
  1.069  ENDIF

  1.070  ENDIF

  1.071  END
